
%define major     7
%define minor     7
%define ext       8

%define libname   %mklibname rocksdb %{major}
%define develname %mklibname rocksdb -d

Name:       rocksdb
Version:    7.7.8
Release:    %mkrel 1
Summary:    A Persistent Key-Value Store for Flash and RAM Storage
Group:      Databases
License:    BSD
URL:        https://github.com/facebook/rocksdb.git
Source0:    https://github.com/facebook/rocksdb/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(gtest)
ExclusiveArch: %{ix86} x86_64 aarch64

%description
Rocksdb is a library that forms the core building block for a fast key value
server, especially suited for storing data on flash drives. It has a
Log-Structured-Merge-Database (LSM) design with flexible trade offs between
Write-Amplification-Factor (WAF), Read-Amplification-Factor (RAF) and
Space-Amplification-Factor (SAF). It has multithreaded compaction, making it
specially suitable for storing multiple terabytes of data in a single database.

%package -n %{libname}
Summary:    A Persistent Key-Value Store for Flash and RAM Storage
Group:      Databases
Provides:   %{name} = %{version}-%{release}

%description -n %{libname}
Rocksdb is a library that forms the core building block for a fast key value
server, especially suited for storing data on flash drives. It has a
Log-Structured-Merge-Database (LSM) design with flexible trade offs between
Write-Amplification-Factor (WAF), Read-Amplification-Factor (RAF) and
Space-Amplification-Factor (SAF). It has multithreaded compaction, making it
specially suitable for storing multiple terabytes of data in a single database.

%package -n %{develname}
Summary:    Development files for rocksdb
Requires:   %{libname} = %{version}-%{release}
Group:      Development/C
Provides:   rocksdb-devel = %{version}-%{release}
Provides:   librocksdb-devel = %{version}-%{release}

%description -n %{develname}
Development files for rocksdb.

%prep
%setup -q

rm -rf third-party/gtest-1.7.0
rm java/benchmark/src/main/java/org/rocksdb/benchmark/DbBenchmark.java
rm build_tools/gnu_parallel

%build
#(eatdirt) RTTI necessary for ceph and PORTABLE=1 is required to not
#trigger SSE4 vectorization

export EXTRA_CFLAGS="%{optflags}"
export EXTRA_CXXFLAGS="%{optflags}"
export EXTRA_LDFLAGS="-ldl %{ldflags}"
PORTABLE=1 USE_RTTI=1 %make_build shared_lib

%install
make install-shared \
         DESTDIR=%{buildroot} \
         PREFIX=%{_usr} \
         LIBDIR=%{_libdir}

%files -n %{libname}
%{_libdir}/librocksdb.so.%{major}
%{_libdir}/librocksdb.so.%{major}.%{minor}
%{_libdir}/librocksdb.so.%{major}.%{minor}.%{ext}
%license COPYING


%files -n %{develname}
%{_libdir}/librocksdb.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Apr 06 2023 eatdirt <eatdirt> 7.7.8-1.mga9
+ Revision: 1951574
- Update to latest bugfix release of the same major version

* Sun Nov 20 2022 joequant <joequant> 7.7.3-1.mga9
+ Revision: 1909145
- update to 7.7.3

* Mon Oct 03 2022 joequant <joequant> 7.6.0-1.mga9
+ Revision: 1894345
- update to 7.6.0

* Tue Aug 23 2022 eatdirt <eatdirt> 7.4.5-1.mga9
+ Revision: 1879641
- Upgrade to version 7.4.5

* Tue Mar 29 2022 umeabot <umeabot> 6.26.1-3.mga9
+ Revision: 1833296
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 pterjan <pterjan> 6.26.1-2.mga9
+ Revision: 1783159
- Restrict to support architectures

* Mon Dec 13 2021 joequant <joequant> 6.26.1-1.mga9
+ Revision: 1761864
- update to 6.23.1

* Sun Dec 12 2021 eatdirt <eatdirt> 6.25.3-1.mga9
+ Revision: 1761657
- Upgrade to bugfix release 6.25.3

* Wed Oct 20 2021 joequant <joequant> 6.25.1-1.mga9
+ Revision: 1752290
- update to 6.25.1

* Fri Jun 18 2021 joequant <joequant> 6.20.3-1.mga9
+ Revision: 1731159
- update to 6.20.3

* Fri Dec 18 2020 joequant <joequant> 6.14.6-1.mga8
+ Revision: 1660881
- update to 6.14.6

* Wed Aug 26 2020 eatdirt <eatdirt> 6.11.4-3.mga8
+ Revision: 1619161
- Link to -ldl
- Force PORTABLE=1 to not trigger SSE4 instructions

* Fri Aug 21 2020 eatdirt <eatdirt> 6.11.4-2.mga8
+ Revision: 1617546
- Rebuild with USE_RTTI=1 (in prep for ceph)

* Thu Aug 20 2020 eatdirt <eatdirt> 6.11.4-1.mga8
+ Revision: 1616614
- Upgrade to version 6.11.4, add missing provides

* Sat Feb 15 2020 daviddavid <daviddavid> 6.6.4-1.mga8
+ Revision: 1527307
- new version: 6.6.4
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Jul 06 2019 joequant <joequant> 6.1.2-1.mga8
+ Revision: 1418909
- update version

* Sat Jul 06 2019 joequant <joequant> 5.17.2-1.mga8
+ Revision: 1418871
- add group
- add group
- imported package rocksdb

